﻿

.galcarousel-container {
    margin-top: 5%;
    margin-left: 2%;
    border-radius: 30px;
    overflow: hidden;
    max-width: 800px;
    position: relative;
    box-shadow: 0 0 30px -20px #223344;
    z-index: 0;
    margin-bottom:2%;
}

/* Hide the images by default */
.mygalSlides {
    display: none;
}

    .mygalSlides img {
        display: block;
        width: 100%;
    }

/* image gradient overlay [optional] */
/*  .mySlides::after {
  content: "";
  position: absolute;
  inset: 0;
    background-image: linear-gradient(-45deg, rgba(110, 0, 255, .1), rgba(70, 0, 255, .2));
} */

/* Next & previous buttons */
.galprev,
.galnext {
    cursor: pointer;
    position: absolute;
    top: 50%;
    transform: translate(0, -50%);
    width: auto;
    padding: 20px;
    color: white;
    font-weight: bold;
    font-size: 24px;
    border-radius: 0 8px 8px 0;
    background: rgba(173, 216, 230, 0.1);
    user-select: none;
}

.galnext {
    right: 0;
    border-radius: 8px 0 0 8px;
}

    .galprev:hover,
    .galnext:hover {
        background-color: rgba(173, 216, 230, 0.3);
    }

/* Caption text */
.galtext {
    color: #f2f2f2;
    background-color: rgba(10, 10, 20, 0.1);
    backdrop-filter: blur(6px);
    border-radius: 10px;
    font-size: 20px;
    padding: 8px 12px;
    position: absolute;
    bottom: 60px;
    left: 50%;
    transform: translate(-50%);
    text-align: center;
}

/* Number text (1/3 etc) */
.galnumber {
    color: #f2f2f2;
    font-size: 16px;
    background-color: rgba(173, 216, 230, 0.15);
    backdrop-filter: blur(6px);
    border-radius: 10px;
    padding: 8px 12px;
    position: absolute;
    top: 10px;
    left: 10px;
}

.galdots-container {
    position: absolute;
    bottom: 10px;
    left: 50%;
    transform: translate(-50%);
}

/* The dots/bullets/indicators */
.galdots {
    cursor: pointer;
    height: 14px;
    width: 14px;
    margin: 0 4px;
    background-color: rgba(173, 216, 230, 0.2);
    backdrop-filter: blur(2px);
    border-radius: 50%;
    display: inline-block;
    transition: background-color 0.3s ease;
}

    .galactive,
    .galdots:hover {
        background-color: rgba(173, 216, 230, 0.8);
    }

/* transition animation */
.galanimate {
    -webkit-animation-name: galanimate;
    -webkit-animation-duration: 1s;
    animation-name: galanimate;
    animation-duration: 2s;
}

@keyframes galanimate {
    from {
        transform: scale(1.1) rotateY(10deg);
    }

    to {
        transform: scale(1) rotateY(0deg);
    }
}
